DECLARE SUB RndFight ()
DECLARE SUB CannotDo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
DECLARE SUB Stats ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'

SUB Street9

RestoreRoom = 31
RndFight
Room:
  CLS
  PRINT "Room Description"
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN GOTO Room
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN GOTO Room
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN GOTO Room
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN GOTO Room
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  GOTO Command

END SUB

